VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::recovery::restore::JobTypes::RestoreJobStatus Class Reference

`Job.RestoreJobStatus` class Structure representing backup restore status More...

List of all members.

## Public Member Functions
| RestoreJobStatus ()
| Creates a default new instance.
vmware.appliance.recovery.restore.JobTypes.BackupRestoreProcessState | GetState ()
| process state
void | SetState (vmware.appliance.recovery.restore.JobTypes.BackupRestoreProcessState state)
| process state
global::System.Collections.Generic.List < vmware.appliance.recovery.restore.JobTypes.LocalizableMessage > | GetMessages ()
| list of messages
void | SetMessages (global::System.Collections.Generic.List< vmware.appliance.recovery.restore.JobTypes.LocalizableMessage > messages)
| list of messages
long | GetProgress ()
| percentage complete
void | SetProgress (long progress)
| percentage complete
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

`Job.RestoreJobStatus` class Structure representing backup restore status

## Constructor & Destructor Documentation

vmware::appliance::recovery::restore::JobTypes::RestoreJobStatus::RestoreJobStatus | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::appliance::recovery::restore::JobTypes::RestoreJobStatus::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::appliance::recovery::restore::JobTypes::RestoreJobStatus::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::appliance::recovery::restore::JobTypes::RestoreJobStatus::_GetType | ( |  | ) | `[inline]`

bool vmware::appliance::recovery::restore::JobTypes::RestoreJobStatus::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::appliance::recovery::restore::JobTypes::RestoreJobStatus::_Validate | ( |  | ) | `[inline]`

override bool vmware::appliance::recovery::restore::JobTypes::RestoreJobStatus::Equals | ( | object | obj | ) | `[inline]`

override int vmware::appliance::recovery::restore::JobTypes::RestoreJobStatus::GetHashCode | ( |  | ) | `[inline]`

global::System.Collections.Generic.List<vmware.appliance.recovery.restore.JobTypes.LocalizableMessage> vmware::appliance::recovery::restore::JobTypes::RestoreJobStatus::GetMessages | ( |  | ) | `[inline]`

list of messages

long vmware::appliance::recovery::restore::JobTypes::RestoreJobStatus::GetProgress | ( |  | ) | `[inline]`

percentage complete

vmware.appliance.recovery.restore.JobTypes.BackupRestoreProcessState vmware::appliance::recovery::restore::JobTypes::RestoreJobStatus::GetState | ( |  | ) | `[inline]`

process state

void vmware::appliance::recovery::restore::JobTypes::RestoreJobStatus::SetMessages | ( | global::System.Collections.Generic.List< vmware.appliance.recovery.restore.JobTypes.LocalizableMessage > | messages | ) | `[inline]`

list of messages

void vmware::appliance::recovery::restore::JobTypes::RestoreJobStatus::SetProgress | ( | long | progress | ) | `[inline]`

percentage complete

void vmware::appliance::recovery::restore::JobTypes::RestoreJobStatus::SetState | ( | vmware.appliance.recovery.restore.JobTypes.BackupRestoreProcessState | state | ) | `[inline]`

process state

override string vmware::appliance::recovery::restore::JobTypes::RestoreJobStatus::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- restore/JobTypes.cs